package com.fs.crm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.crm.domain.CrmCustomerPropertyTemplate;

import java.util.List;

public interface CrmCustomerPropertyTemplateMapper extends BaseMapper<CrmCustomerPropertyTemplate> {

    CrmCustomerPropertyTemplate selectCrmCustomerPropertyTemplateById(Long id);

    List<CrmCustomerPropertyTemplate> selectCrmCustomerPropertyTemplateList(CrmCustomerPropertyTemplate crmCustomerPropertyTemplate);

    int insertCrmCustomerPropertyTemplate(CrmCustomerPropertyTemplate crmCustomerPropertyTemplate);

    int updateCrmCustomerPropertyTemplate(CrmCustomerPropertyTemplate crmCustomerPropertyTemplate);

    int deleteCrmCustomerPropertyTemplateById(Long id);

    int deleteCrmCustomerPropertyTemplateByIds(Long[] ids);
}
